EM_PC(ACK)

NAME
em_pc - Pascal compiler

SYNOPSIS
em_pc [option] source destination

DESCRIPTION
Em_pc is a compiler that translates Pascal programs into EM code. The input is taken from source, while the EM code is written on destination.
Option is a, possibly empty, sequence of the following combinations:

-Mn set maximum identifier length to n. The minimum value for n is 9, because the keyword "PROCEDURE" is that long.

-n  do not generate EM register messages. The user-declared variables will not be stored into registers on the target machine.

-L  do not generate the EM fil and lin instructions that enable an interpreter to keep track of the current location in the source code.

-Vcm.n, -Vcm.ncm.n ...
    set the size and alignment requirements. The letter c indicates the simple type, which is one of w(word size), i(INTEGER), f(REAL), or p(POINTER). It may also be the letter S, indicating that an initial record alignment follows. The m parameter can be used to specify the length of the type (in bytes) and the n parameter for the alignment of that type. Absence of m or n causes a default value to be retained.

-w  suppress warning messages.

-u  The character '_' is treated like a letter, so it is allowed to use the underscore in identifiers.

-inum
    maximum number of bits in a set. When not used, a default value is retained.

-C  The lower case and upper case letters are treated different.

-r  The rangechecks are generated where necessary.

FILES
~em/lib/em_pc: binary of the Pascal compiler.

DIAGNOSTICS
All warning and error messages are written on standard error output.

REMARKS
Debugging and profiling facilities may be present during the development of em_pc.